# Электронная библиотека для специалиста в области информатики и вычислительной техники (09.03.01)

## операционные системы, архитектура и ЭВМ

##### [Операционные системы. Основы UNIX(Вавренюк Александр Борисович, Курышева Оксана Константиновна, Кутепов Станислав Владимирович, Макаров Виктор Валентинович)](https://znanium.com/catalog/document?id=357445)

- Рассматриваются основы командного интерфейса операционных систем семейства UNIX. Большое внимание уделено практическому использованию команд системы и возможностей языка программирования, предоставляемых оболочкой shell. В пособие включены также некоторые разделы, посвященные основам администрирования и сетевым средствам ОС
 

##### [Архитектура ЭВМ и вычислительных систем(Максимов Николай Вениаминович, Партыка Татьяна Леонидовна, Попов Игорь Иванович)](https://znanium.com/catalog/document?id=391794)

- Рассмотрены вопросы организации и функционирования вычислительных устройств, машин и систем. Описаны логические, информационные, алгоритмико-вычислительные основы построения систем. Значительное внимание уделено архитектурам вычислительных машин и систем, их классификациям, составным компонентам — информационно-вычислительным средам и коммутационно-коммуникационным средам. В качестве примера подробно представлены технические, структурные, архитектурные компоненты персональных машин и средства их комплексирования.

## Программирование и проектная деятельность

##### [Программирование графики на С++. Теория и примеры(Корнеев Виктор Иванович, Гагарина Лариса Геннадьевна, Корнеева Мария Викторовна)](https://znanium.com/catalog/document?id=416174)

- Рассматриваются основные методы и алгоритмы построения графических изображений. Подробно анализируются приемы моделирования движения (анимации) двумерных изображений, рассматриваются алгоритмы трехмерной графики, построение сплайнов и сплайновых поверхностей, основы работы в графической библиотеке OpenGL. Каждое теоретическое положение компьютерной графики исследуется на примерах программ, написанных на С++. Особое внимание уделено взаимодействию программ с операционной системой Windows. Все примеры апробированы в среде разработки проектов Visual Studio 2008.
 

##### [Программное обеспечение компьютерных сетей и web-серверов(Лисьев Григорий Авенирович, Романов Петр Юрьевич, Аскерко Юлия Ивановна)](https://znanium.com/catalog/document?id=422066)

- Предложена система учебных заданий, позволяющих ознакомиться с языками и системами web-программирования: HTML, JavaScript, PHP. Каждый пункт пособия представляет собой практическую работу, позволяющую реализовать отдельный фрагмент проекта. В результате последовательного изучения теории и выполнения практических заданий студенты создают макет web-сайта, который содержит упрощенную систему управления базами данных. Изложение материала сопровождается большим количеством иллюстраций, предлагаются упражнения и вопросы для самоконтроля. Отдельной главой выделен практикум, который позволит преподавателям создать собственный набор контролирующих материалов (фонд оценочных средств), включающий контрольные работы, тесты, курсовые работы, дипломные проекты.

##### [Программирование на PYTHON в среде IDLE(Шевченко Людмила Григорьевна, Дружинина Татьяна Витальевна)](https://znanium.com/catalog/document?id=396958)

- Учебное пособие предназначено для студентов, обучающихся по направлению «Электроэнергетика и электротехника». Может быть полезно студентам для подготовки курсовых и квалификационных работ, а также магистрантам и аспирантам при проведении научных исследований. Практическая часть ориентирована на выполнение наиболее часто встречающихся математических задач.
 

##### [Проектирование систем интеллектуального обслуживания(Блюмин Аркадий Михайлович)](https://znanium.com/catalog/document?id=371144)

- Рассмотрены понятия и характеристики системы интеллектуального обслуживания. Изложены общие принципы и методы проектирования такого рода систем. Освещены экономические и организационные основы проектирования информационно-консультационного, проектно-инновационного, образовательного и специального видов обслуживания. Подробно раскрыта тема качества интеллектуальных услуг и его оценки. Представлено моделирование основных элементов системы интеллектуального обслуживания. Приведено описание рынка интеллектуальных услуг, его характеристик, организации маркетинга и методические основы анализа спроса на такие услуги. Показаны основы автоматизации системы интеллектуального обслуживания.

 
## Информационные технологии и вычислительная техника


##### [Информационные технологии управления проектами(Светлов Николай Михайлович, Светлова Галина Николаевна)](https://znanium.com/catalog/document?id=426707)

- Рассматривается организационное и программное обеспечение современных информационных технологий управления проектами. Приводятся учебные задания для формирования практических навыков применения информационных технологий, необходимых менеджеру проекта.
 

##### [Информационные системы и технологии(Голицына Ольга Леонидовна, Максимов Николай Вениаминович, Попов Игорь Иванович)](https://znanium.com/catalog/document?id=427018)

- Рассматриваются классификация и структура автоматизированных информационных технологий (АИТ), связанные с ними понятия и определения, роль предметной области. Приводятся базовые АИТ пользователя — обработка текстов, таблиц, мультимедийных данных; смешанные АИТ — распознавание символов, преобразование речи в текст и обратно, машинный перевод. Рассматриваются технологии администратора и разработчика АИС и АИТ — доступ к данным в локальном и сетевом режимах, клиент-серверные архитектуры, средства и технологии информационного поиска.

 
##### [Вычислительная техника(Партыка Татьяна Леонидовна, Попов Игорь Иванович)](https://znanium.com/catalog/document?id=380019)

- Рассматриваются состав, характеристики, функции и структура технических средств обработки, хранения и передачи информации, в том числе виды информации и способы представления ее в ЭВМ; системы счисления, перевод чисел из одной системы счисления в другую; логические основы ЭВМ; элементарные логические функции; персональные компьютеры (процессоры, системы памяти, интерфейсы); накопители информации (магнитные ленты, диски, оптические накопители — CD/DVD, магнитооптические, твердотельные и другие альтернативные технологии); интерактивные устройства (терминалы с мониторами на ЭЛТ и плоскопанельными, манипуляторы, сенсорные экраны); мультимедийные системы (цифровое фото, видео, звук, мультимедийные проекторы); средства организации сетей и мобильных вычислений (сети, связь компьютеров, мобильные компьютеры — процессоры и интерфейсы расширения).
 

## компьютерное моделирование, компьютерная графика

##### [Компьютерное моделирование(Градов Владимир Михайлович, Овечкин Геннадий Владимирович, Овечкин Павел Владимирович, Рудаков Игорь Владимирович)](https://znanium.com/catalog/document?id=416556)

- Рассматриваются теория и практика построения компьютерных моделей. Подробно изложены вопросы построения генераторов случайных величин с заданными законами распределения, приведены рекомендации и методики проверки их качества. На конкретных примерах показаны основные приемы моделирования с помощью метода статистических испытаний. Подробно изложены вопросы моделирования систем массового обслуживания. Рассмотрены основы стратегического и тактического планирования машинного эксперимента. Представлены основы построения моделей с помощью инструментальных средств моделирования Pilgrim. В части описания методов и технологий численного моделирования дается материал, составляющий ядро вычислительных средств математического эксперимента, касающийся аппроксимации функций (включая линейную, нелинейную и многомерную интерполяции, наилучшее среднеквадратичное приближение), определения интегралов функций одной и многих переменных, построения и алгоритмизации математических моделей, описываемых дифференциальными уравнениями в частных производных.
 

##### [Основы компьютерной графики(Баранов Сергей Николаевич, Толкач Светлана Геннадьевна)](https://znanium.com/catalog/document?id=342164)

- Представлены основные примитивы графической библиотеки OpenGL. приведены примеры использования простейших геометрических преобразований, примеры отображения графиков функций и геометрических фракталов, механизмы установки камеры, проекций отображения, алгоритмы наложения текстур и управления освещением сцены.
 

## численные методы и анализ данных

##### [Численные методы и программирование(Колдаев Виктор Дмитриевич)](https://znanium.com/catalog/document?id=416098)

- Предложен широкий круг алгоритмов, сгруппированных по темам, для решения типичных задач, встречающихся в инженерных расчетах численными методами. Прикладная направленность отличает пособие от большинства учебников по численным методам, в которых, как правило, изложение ограничивается только теорией. Описание методов ориентировано на конкретную реализацию соответствующих алгоритмов на ПЭВМ. Пособие содержит большое количество заданий для самостоятельного решения. Даны рекомендации методологического плана по изучению тем в рамках курса математического моделирования.

##### [Интеллектуальный анализ данных(Богданов Евгений Павлович)](https://znanium.com/catalog/document?id=357344)

- Предназначен для изучения статистического пакета Statistics SPSS, его интерфейса и способов обмена данными с другими приложениями, а также изучению алгоритмов статистического анализа с использованием табличного процессора Excel и системы компьютерной математики Mathcad.
